defmodule DecentralisedBookIndex.Sync.DataTransformers.AuthorRolesTransformer do
  alias DecentralisedBookIndex.Sync.DataTransformers.AuthorRoleTransformer

  def from_json(json_body) do
    json_body =
      if Map.has_key?(json_body, "data") do
        json_body["data"]
      else
        json_body
      end

    {:ok,
     Enum.map(
       json_body,
       fn record ->
         {:ok, record} = AuthorRoleTransformer.from_json(record)
         record
       end
     )}
  end
end
